Name:		libtelnet
Version:	0.12
Release:	1%{?dist}
Summary:	TELNET protocol parsing framework

Group:		System Environment/Libraries
License:	Public Domain
URL:		http://github.com/elanthis/libtelnet
Source0:	http://cloud.github.com/downloads/elanthis/libtelnet/libtelnet-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: zlib-devel

%description
Small library for parsing the TELNET protocol, responding to TELNET
commands via an event interface, and generating valid TELNET commands.

libtelnet includes support for the non-official MCCP, MCCP2, ZMP, and
MSSP protocols used by MUD servers and clients.

%package devel
Summary: Header files for libtelnet
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Header files for developing applications making use of libtelnet.

%package utils
Summary: TELNET utility programs from libtelnet
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}

%description utils
Provides three utilities based on the libtelnet library.
  * telnet-proxy - a TELNET proxy and debugging daemon
  * telnet-client - simple TELNET client
  * telnet-chatd - no-features chat server for testing TELNET clients.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf "$RPM_BUILD_ROOT"
make install INSTALL="install -p" DESTDIR="$RPM_BUILD_ROOT"
rm "$RPM_BUILD_ROOT%{_libdir}"/*.la

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README COPYING NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*

%files utils 
%defattr(-,root,root,-)
%{_bindir}/*

%changelog
* Wed Oct 24 2009 Sean Middleditch <sean@middleditch.us> 0.12-1
- Update to libtelnet 0.12.
- Include libtelnet.pc in -devel package.

* Wed Aug 31 2009 Sean Middleditch <sean@middleditch.us> 0.11-1
- Update to libtelnet 0.11.
- Add BuildRequires on zlib-devel.
- Added INSTALL='install -p' to install script.
- Renamed -bin subpackage to -utils.
- Added COPYING and NEWS to main package document list.
- Removed document files from subpackages.

* Wed Aug 29 2009 Sean Middleditch <sean@middleditch.us> 0.10-2
- Corrected URL.
- Removed unnecessary Build-Requires.
- Fixed up use of defattr macro.
- Removed use of makeinstall macro.
- Merged the individual utility packages into a single libtelnet-bin package.

* Wed Jul 29 2009 Sean Middleditch <sean@middleditch.us> 0.10-1
- Initial RPM release.
